Subject: 💓 do you agree ?
From: Life is Beautiful <[email-masked]>
To: [email-masked]
Date: Tue, 13 Apr 2021 09:57:00 +0000

Trending Stories from Life is Beautiful

-----

💓 do you agree ?

💓 do you agree ?

-----
You should be in a relationship to be happy, to smile, to laugh, and to make good memories. Not to be constantly upset, to feel hurt, or to cry. Choose the relationship that's going to lead to growth within yourself and your love for one another❤️🙏

You should be in a relationship to be happy, to smile, to laugh, and to make good memories. Not to be constantly upset, to feel hurt, or to cry. Choose the relationship that's going to lead to growth within yourself and your love for one another❤️🙏

-----
Easter gift 🦋

As I was driving home from seeing my Mum on Easter Sunday, I noticed a fluttering around my central air vent. It was a Red Admiral who seemed to be getting comfortable. I didn’t want to disturb or harm “him” with my sausage fingers or 

Easter gift 🦋

As I was driving home from seeing my Mum on Easter Sunday, I noticed a fluttering around my central air vent. It was a Red Admiral who seemed to be getting comfortable. I didn’t want to disturb or harm “him” with my sausage fingers or blasts of air so I let him be.

When I opened the car on Monday, I noticed there were two Red Admirals now! One was keen and circled round until finding the open door and escaped. The other looked tired and didn’t want to move. I did open the roof but still “she” seemed to be content. I closed the roof to maintain the greenhouse temperature and let her be.

This morning, she was waiting in the EXACT place her mate had escaped from. As soon as I opened the door, she was away! I hope they find each other again!
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/track_click?aoid&aoty=14&aty=4&cp=0&ct=1618307819559463&et=146&id=b2ff3bac28574b048135caad371bd9d7&notif_type=418&request_id=418&snid=19872626666&src=1&st=1618307819562691&stories=%5B(%3Cstory_types.tribe_post%3A+10%3E%2C+25640797)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+24762118)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+25240118)%5D&tribe_item_ids=aAKba4w2BO7%7CHkvDLm6waZ%7CFSMrAXWfxTu&uid=oaI5nJBvtz4&v=0

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=b2ff3bac28574b048135caad371bd9d7&t=1618307819584636&token=47d5a66a65dcd75e60e8ccd080e8cc56a71307c4610b7b217828b496724332a3c2fb4f16d611fb63a7de40a684f55e21b39833a0043e5bd20acb9faeb4b11e18&type=146&uid=1229773278